Fetch user's Steam inventory
Fetch merchant customer's Steam inventory to inspect tradable items for deposit.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API key |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
merchantrequired | body | string | Merchant name / identifier |
gamerequired | body | enum | Game code for requested items (csgo, tf2, rust, dota2) enum: csgo |
steam_idrequired | body | string | Steam ID64 (17 digits) |
trade_url_tokenrequired | body | string | Trade URL 8-character token |
{
"merchant": "mymerchant",
"game": "csgo",
"steam_id": "76561198000000000",
"trade_url_token": "abcdefgh"
}Responses
200 Successful operation
| Name | Type | Description | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
statusrequired | string | Filter by status | |||||||||||||||||||||||||||||||||||||||||||||
itemsrequired | array<object> | Array of items | |||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||
{
"status": "success",
"items": [
{
"item_id": "141414145",
"icon_url": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpot621FAR17PLfYQJD_9W7m5a0mvLwOq7c2DMBupQn2eqVotqkiwHiqhdlMmigJtOWJwE5Zw3X8wS-yea8jcDo7c7XiSw0g89L9us",
"name": "AWP | Asiimov (Field-tested)",
"type": "Sniper Rifle",
"steam_price": {
"name": "AWP | Asiimov (Field-tested)",
"average": 1222,
"current": 1234,
"img": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpot621FAR17PLfYQJD_9W7m5a0mvLwOq7c2DMBupQn2eqVotqkiwHiqhdlMmigJtOWJwE5Zw3X8wS-yea8jcDo7c7XiSw0g89L9us",
"lowest_price": 1212,
"rarity_color": "#b0c3d9",
"rarity": "Covert"
},
"limit": 3,
"instant_price": 1000
}
]
}